rem ASMB10 Firmware Update
rem (1)YafuKCS version 7.0.0
rem (2)Image Filename version : 1.2.34

CLS
ASMC8 -release_date
if errorlevel 1 goto failed

CLS
ASMC8 -kcs c0 02 00

CLS
Yaflash -kcs 70A11234.ima -preserve-config
goto end

:failed
CLS
echo Please check BMC is connected 
goto update

:end
echo Please wait for 70 seconds to initialize firmware
ASMB_MAC -delay 70

:update
PAUSE
